import { connect } from 'react-redux';
import { pick } from 'lodash-es';
import {
  loadGames,
  addGame,
  addQueuedGames,
} from 'store/games/actions';
import GameList from './GameList';
import {
  logOut,
} from 'store/login/actions';

function mapStateToProps(state) {
  return pick(state.games, [
    'games',
    'loading',
    'error',
  ]);
}

const mapDispatchToProps = {
  loadGames,
  addGame,
  addQueuedGames,
  logOut,
};

export default connect(mapStateToProps, mapDispatchToProps)(GameList);
